# Generated from tiny_fb_graph-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tiny_fb_graph

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Tiny library for the Facebook Graph API
License: http://creativecommons.org/licenses/by-nc-sa/3.0/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Tiny library for the Facebook Graph API. This library provides several things
: methods to handle the OAuth base authentification : generating the login
url, retrieving the access_token . And methods, based on the rest-client gem,
that allow you to retrieve/post data/files from the Facebook Graph. These
methods may raise a custom exception in the API encounters errors.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.1-1
- Initial package
